function Linear_main(params_in::Dict{String}{Float64},options_int_in,options_float_use)

# Updated 2018-10-25

# Inputs : params_in : model parameters
#          options_int_in : solutions options (integers)
#          options_float_in : solutions options (floats)

#outputs
#=
-theta_out: final solution theta
-theta_mat: thetas at every k-loop step
-time_out: Time of the PLC Solution
-flag_mat: PLC Solution flags, 1=clustering error, 2=Non-cconvergence in solution
=#

sig_z  = params_in["sig_z"];
sig_g  = params_in["sig_g"];
sig_r  = params_in["sig_r"];
sig_d  = params_in["sig_d"];

Tsim = options_int_in["Tsim"];
skip = options_int_in["skip"];
Tdrop = options_int_in["Tdrop"];

# Initial Guess

# Solve log-linearized model

gx,hx=solve_sgu(params_in)

gx_temp1=vec(gx[3,[6 3 4 5 1 2]])
gx_temp2=vec(gx[1,[6 3 4 5 1 2]])
hx_temp=vec(hx[1,[6 3 4 5 1 2]])

# Initial guesses for theta

theta0_pi_1 = append!([0.0], gx_temp1);
theta0_yy_1 = append!([0.0], hx_temp);
theta0_cc_1 = append!([0.0], gx_temp2);

theta_out = [theta0_pi_1[1:7]; theta0_yy_1[1:7]; theta0_cc_1[1:7]];

#--------------------------------------------------------------------------
#                         Call Model Solutions
#--------------------------------------------------------------------------

return theta_out

end
